/* rijndael-alg-ref.h   v2.0   August '99
 * Reference ANSI C code
 * authors: Paulo Barreto
 *          Vincent Rijmen, K.U.Leuven
 */
#ifndef __RIJNDAEL_ALG_H
#define __RIJNDAEL_ALG_H

#define ROUNDS				10
#define BC					4
#define KC					4
#define MAXBC				4
#define MAXKC				4
#define MAXROUNDS			ROUNDS + 1

typedef unsigned char		word8;	
typedef unsigned short		word16;	
typedef unsigned long		word32;


int rijndaelEncrypt (word8 keyTab[16], word8 data[16]);
int rijndaelDecrypt (word8 keyTab[16], word8 data[16]);
#endif /* __RIJNDAEL_ALG_H */
