// sprawdzenie wersji biblioteki
printf("Odczyt wersji biblioteki\n");
Status=TVTT_GetVersion(&Ver,&SubVer,&APIVer);
printf("\tWersja pliku:\t\t%d.%02d\n\tWersja API:\t\t%d\n\n",Ver,SubVer,APIVer);

// otwarcie dostepu do tokenu
printf("Otwarcie dostepu do TeleTokenu:");
TokenInfoTblSize=TVTTTI_TABLE_SIZE;                                         // wpisanie rozmiaru tablicy
Status=TVTT_FindToken(&TokenH,10,TOKEN_ID,TOKEN_ID_MASK,0,&TokenInfoTblSize,TokenInfoTbl);
if (Status)
    printf("\t%X:%02X\n",Status>>8,Status&0xFF);
else
    printf("\tOK\n");

n=0;
while (n<TokenInfoTblSize)
    {
    printf((TokenInfoOffsetTbl[n]==TVTTTI_ID)?"\t\t\t\t%s%08X\n":"\t\t\t\t%s%d\n",TokenInfoTextTbl[n],TokenInfoTbl[TokenInfoOffsetTbl[n]]);
    n++;
    };

// odczytanie nr. seryjnego TeleTokenu
printf("Odczyt nr. ser. TeleTokenu:");
Status=TVTT_GetSerialNr(TokenH, 10, SerialNr);
if (Status)
    printf("\t%X:%02X\n",Status>>8,Status&0xFF);
else
    printf("\tOK\n");
printf("Numer seryjny:\t\t\t%02X%02X%02X%02X\n", SerialNr[0], SerialNr[1], SerialNr[2], SerialNr[3]);

// rozpoczecie sesji
printf("Rozpoczecie sesji:");
Status=TVTT_StartSession(TokenH,1);
if (Status)
    printf("\t\t%X:%02X\n",Status>>8,Status&0xFF);
else
    printf("\t\tOK\n");

// otwarcie sesji
printf("Otwarcie sesji:");

ZeroMemory(OutDataA,16);
ZeroMemory(OutDataB,16);
ZeroMemory(InDataA,16);
ZeroMemory(InDataB,16);

OutKey=0;                                                                   // znacznik wiadomoci nie szyfrowanej
TVTT_Rand(OutDataA);                                                        // wylosowanie tablicy losowej
OutDataB[TVTTD_CMD]=TVTTC_OPEN;                                             // rozkaz otwarcia sesji
OutDataB[TVTTD_PARAM1]=0;                                                   // numer hasa proponowanego przez PC

TVTT_Calc(OutDataA,OutDataB);                                               // policzenie bloku kontrolnego
Status=TVTT_Talk(TokenH,1,OutKey,OutDataA,OutDataB,&InKey,InDataA,InDataB);
TVTT_CalcSessionKey(SessionKey,PassTbl+(OutDataB[TVTTD_PARAM1]*16),OutDataA,PassTbl+(InDataB[TVTTD_PARAM1]*16),InDataA);   // policzenie klucza sesji
if (Status)
    printf("\t\t\t%X:%02X\n",Status>>8,Status&0xFF);
else
    {
    if (TVTT_Check(InDataA,InDataB))
        printf("\t\t\tBlad bloku kontrolnego!\n");
    else
        {
        if (InDataB[TVTTD_STATUS])
            printf("\t\t\t%X\n",InDataB[TVTTD_STATUS]);
        else
            printf("\t\t\tOK\n");
        };
    };
