#include "..\ExCommon\TokenID.h"
#include "..\ExCommon\GlobalDef.c"
#include "..\ExCommon\Print16.c"

int main(int argc, char * argv[])
{
    #include "..\ExCommon\MainDef.c"

    DWORD   n;
    ZeroMemory(PassTbl,16*PASS_NO);

    #include "..\ExCommon\Prolog.c"

    // zainicjowanie OutKey
    OutKey=(GetTickCount()&0xFFFFFF00)|0xF00;

    // zapis kluczy
    printf("Konfigurowanie kluczy:");

    n=TokenInfoTbl[TVTTTI_PASS_TABLE_SIZE];
    while ((--n)<TokenInfoTbl[TVTTTI_PASS_TABLE_SIZE])
        {
        ZeroMemory(OutDataA,16);
        ZeroMemory(OutDataB,16);
        ZeroMemory(InDataA,16);
        ZeroMemory(InDataB,16);

        OutKey++;                                                           // zwikszenie licznika kluczy

        OutDataB[TVTTD_CMD]=TVTTC_PASS_WRITE;                               // rozkaz zapisu kluczy
        OutDataB[TVTTD_PARAM1]=(BYTE)n;                                     // numer klucza
        sprintf(OutDataA,"Pass%d",n);

        TVTT_Calc(OutDataA,OutDataB);                                       // policzenie bloku kontrolnego
        TVTT_CryptBlock(OutDataA,OutKey,SessionKey,TVTT_BLOCK_A,TVTT_PC2T); // zaszyfrowanie pierwszego bloku danych
        TVTT_CryptBlock(OutDataB,OutKey,SessionKey,TVTT_BLOCK_B,TVTT_PC2T); // zaszyfrowanie drugiego bloku danych
        Status=TVTT_Talk(TokenH,2,OutKey,OutDataA,OutDataB,&InKey,InDataA,InDataB);
        TVTT_CryptBlock(InDataA,InKey,SessionKey,TVTT_BLOCK_A,TVTT_T2PC);   // rozszyfrowanie pierwszego bloku danych
        TVTT_CryptBlock(InDataB,InKey,SessionKey,TVTT_BLOCK_B,TVTT_T2PC);   // rozszyfrowanie drugiego bloku danych

        if (Status)
            {
            printf("\t\t%X:%02X\n",Status>>8,Status&0xFF);
            break;
            };

        if (TVTT_Check(InDataA,InDataB))
            {
            printf("\t\tBlad bloku kontrolnego!\n");
            break;
            };

        if (InDataB[TVTTD_STATUS])
            {
			printf("\t\t%X\tn:%d\n",InDataB[TVTTD_STATUS], n);
            break;
            }

        if (!InKey)
            {   
            printf("\t\tWiadomosc nie zaszyfrowana!\n");                    // sprawdzenie czy wiadomo zaszyfrowana
            break;
            };
        };

    if (n>=TokenInfoTbl[TVTTTI_PASS_TABLE_SIZE]) printf("\t\tOK\n");

    #include "..\ExCommon\Epilog.c"

    return(0);
};
